Get all suggested field update tasks
curl --request GET \
--url https://api.affinity.co/v2/tasks/suggested-field-updates/create \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/tasks/suggested-field-updates/create"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/tasks/suggested-field-updates/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.affinity.co/v2/tasks/suggested-field-updates/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/tasks/suggested-field-updates/create"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.affinity.co/v2/tasks/suggested-field-updates/create")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/tasks/suggested-field-updates/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "9a8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"status": "in-progress",
"suggestedFieldUpdate": {
"id": "9a8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d"
}
},
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"status": "success",
"suggestedFieldUpdate": {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7"
}
}
],
"pagination": {
"prevUrl": null,
"nextUrl": null
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Suggested Field Updates
Get all suggested field update tasks
| ⚠️ This endpoint is currently in BETA |
|---|
The endpoint returns 404 when AI agents access is not enabled for the organization.
Paginate through your suggested field update generation tasks, newest first.
You can filter tasks using the filter query parameter.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
status | enum | = | status=in-progress, status=success, status=failed |
GET
/
v2
/
tasks
/
suggested-field-updates
/
create
Get all suggested field update tasks
curl --request GET \
--url https://api.affinity.co/v2/tasks/suggested-field-updates/create \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/tasks/suggested-field-updates/create"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/tasks/suggested-field-updates/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.affinity.co/v2/tasks/suggested-field-updates/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/tasks/suggested-field-updates/create"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.affinity.co/v2/tasks/suggested-field-updates/create")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/tasks/suggested-field-updates/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "9a8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"status": "in-progress",
"suggestedFieldUpdate": {
"id": "9a8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d"
}
},
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"status": "success",
"suggestedFieldUpdate": {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7"
}
}
],
"pagination": {
"prevUrl": null,
"nextUrl": null
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Filter tasks using Affinity Filtering Language
Was this page helpful?